Get a webhook
curl --request GET \
--url https://api.cal.com/v2/oauth-clients/{clientId}/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'x-cal-secret-key: <x-cal-secret-key>'import requests
url = "https://api.cal.com/v2/oauth-clients/{clientId}/webhooks/{webhookId}"
headers = {
"x-cal-secret-key": "<x-cal-secret-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-cal-secret-key': '<x-cal-secret-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.cal.com/v2/oauth-clients/{clientId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"payloadTemplate": "{\"content\":\"A new event has been scheduled\",\"type\":\"{{type}}\",\"name\":\"{{title}}\",\"organizer\":\"{{organizer.name}}\",\"booker\":\"{{attendees.0.name}}\"}",
"triggers": [],
"oAuthClientId": "<string>",
"id": 123,
"subscriberUrl": "<string>",
"active": true,
"secret": "<string>"
}
}Platform / Webhooks
Get a webhook
These endpoints are deprecated and will be removed in the future.
GET
/
v2
/
oauth-clients
/
{clientId}
/
webhooks
/
{webhookId}
Get a webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
OAuth client secret key
Was this page helpful?
⌘I